interface GoogleGetAccessTokenFunctionParams {
    clientId: string;
    triggerPrompt?: boolean;
    setLoading?: React.Dispatch<React.SetStateAction<boolean>>;
}
/**
 * Login with Google Function
 * ===============================================================================
 * @description This function uses google identity api to login a user with datasquirel
 */
export default function getAccessToken(params: GoogleGetAccessTokenFunctionParams): Promise<string>;
/**
 * # Google Login Function
 */
export declare function googleLogin({ google, clientId, setLoading, triggerPrompt, }: GoogleGetAccessTokenFunctionParams & {
    google: any;
}): Promise<unknown>;
export {};
