import { APILoginFunctionReturn } from "../../../types";
type Param = {
    user: {
        first_name: string;
        last_name: string;
        email: string;
        social_id: string | number;
    };
    social_platform: string;
    invitation?: any;
    database?: string;
    additionalFields?: string[];
    debug?: boolean;
};
/**
 * Function to login social user
 * ==============================================================================
 * @description This function logs in the user after 'handleSocialDb' function finishes
 * the user creation or confirmation process
 */
export default function loginSocialUser({ user, social_platform, invitation, database, additionalFields, debug, }: Param): Promise<APILoginFunctionReturn>;
export {};
